[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: XFree86 4.1.0-0pre1v5 now available; 4.1.0-1 imminent

On Mon, Jul 16, 2001 at 10:52:12PM -0500, Christian T. Steigies wrote:
> On my i386 box ABS_WHEEL is define in /usr/include/linux/input.h
> ($Id: input.h,v 1.18 2000/07/25 21:36:56 vojtech Exp $). 
> On m68k its not ($Id: input.h,v 1.13 2000/05/29 10:54:53 vojtech Exp $)
> m68k: libc6-dev      2.2.3-5
> i386: libc6-dev      2.2.3-6
> Soo... its a bug in libc6 and xfree should build-depend on libc6-dev 
> (>= 2.2.3-6) maybe (failed to build on m68k, -7 is "building")? 
> Or do you need a special build-depends on kernel-header-2.4.x? I might have
> installed newer header on my i386 box already.

Hrm, bah.  Yeah, I guess the versioned Build-Dep on libc6 is the way to go.

> I am trying debian/rules binary-arch with 2.4.6 headers, but it does not
> seem to work... ie, its calling a lot of rm -f

It's just cleaning the tree first.

It's too late now, but a plain "make" from build-tree would probably have
resumed the compile OK.

G. Branden Robinson                |  Any man who does not realize that he is
Debian GNU/Linux                   |  half an animal is only half a man.
branden@debian.org                 |  -- Thornton Wilder
http://people.debian.org/~branden/ |

Attachment: pgplaXrHmzsR3.pgp
Description: PGP signature

Reply to: